<template lang="pug">
  .main
    section.hero.is-medium
      .hero-body
        p.subtitle {{$t('landingWeAre')}}
        p.title.brand {{$t('brandName')}}
        p.subtitle.last {{$t('landingHeroSubtitle')}}
    section.mid.section.is-large.manuf
      h1.title {{$t('landingPartners')}}
      h2.subtitle {{$t('landingPartnersSubtitle')}}
      .cards.columns
        NuxtLink(v-for="manuf in manufs" :key="manuf.id" :to="`${localePath('/products')}?manufacturer=${manuf.id}`")
          .column.card
            nuxt-img.card-image(:src="`https://tohru.luciascipher.com${manuf.attributes.logo.data.attributes.url}`" :alt="manuf.attributes.name" :height="160" :width="160")
            p.card-title.titleis-4 {{manuf.attributes.name}}
            p.card-description.subtitle.is-6 {{manuf.attributes.description}}
      b-button.contact-button(type="is-primary" tag='router-link' :to="{ path: localePath('/products') }") {{$t('landingOffer')}}
</template>

<script>
export default {
  data() {
    return {
      manufs: [],
    }
  },
  async fetch() {
    const resp = await fetch(
      'https://tohru.luciascipher.com/api/manufacturers?populate=logo'
    )
    const data = await resp.json()
    this.manufs = data.data
    this.manufs.sort((a, b) => {
      const aVar = a.attributes.name
      const bVar = b.attributes.name
      if (aVar > bVar) {
        return 1
      } else if (bVar > aVar) {
        return -1
      } else {
        return 0
      }
    })
    this.manufs.sort((a, b) => {
      if (a.attributes.promoted && !b.attributes.promoted) {
        return -1
      } else if (!a.attributes.promoted && b.attributes.promoted) {
        return 1
      } else {
        return 0
      }
    })
  },
}
</script>

<style lang="scss" scoped>
$primary: #006d77;
$bg-grey: #24252a;
$bg-light-grey: #2c3035;
.hero-body {
  background-image: url('/img/dg_bg.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: flex-start;
  min-height: 40em;
  p {
    color: #fff;
    font-weight: 700;
    // text-shadow: 4px 4px black;
    &.title {
      // color: $primary !important;
      //font-size: 6rem;
    }
    &.subtitle {
      //font-size: 1.5rem;
    }
    &.last {
      //font-size: 1.2rem;
      max-width: 30em;
    }
  }
}

section {
  &.manuf {
    background: url('/img/bg_manuf.jpg');
  }
}
.mid.section {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover !important;
  .title {
    color: white;
    // text-shadow: 4px 4px black;
    font-size: 5em;
  }
  h2.subtitle {
    font-weight: 700;
    // text-shadow: 4px 4px black;
    color: white;
    font-size: 2em;
  }
  .cards {
    // width: 50em;
    .card {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 0;
      border-radius: 0;
      p.card-title {
        font-weight: 700;
      }
      .card-description {
        line-height: 1.6em;
        padding-top: 1em;
        padding-bottom: 1em;
        text-align: center;
      }
      img.card-image {
        width: 21rem;
        height: auto;
      }
    }
  }
  .contact-button {
    font-size: 1em;
    margin-right: 50px;
    background-color: #006d77;
    border-radius: 50px;
    border-radius: 0;
  }
}
@media only screen and (min-width: 1024px) {
  .hero-body {
    .subtitle {
      font-size: 1.5rem;
    }
    .title {
      font-size: 6rem;
    }
    .subtitle.last {
      font-size: 1.2rem;
    }
  }
  .cards {
    width: 50em;
  }
}
@media only screen and (max-width: 1024px) {
  .hero-body {
    .subtitle {
      font-size: 2.5rem;
    }
    .title {
      font-size: 4.5rem;
    }
    .subtitle.last {
      font-size: 2rem;
    }
  }
  .cards {
    width: 24.4em;
  }
  .manuf {
    .button.contact-button {
      margin-right: 0 !important;
    }
  }
}
</style>
